/*Copyright (C) 2007 Cassarin-Grand Arthur (Zoloom)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. */

#include "POLSCapp.h"
#include "Fenp.h"
#include "Fent.h"
#include "Fenconfig.h"
#include "Fennew.h"
#include "Fenupscript.h"

using namespace std;

Fenupscript::Fenupscript(wxWindow *parent) : wxFrame(parent, wxID_ANY,_("Proposer votre script"))
{
	SetBackgroundColour(wxSystemSettings::GetColour(wxSYS_COLOUR_3DFACE));
	wxIcon icoFenp(_T("images/document-new.png")); //declaration de l'icone
	SetIcon(icoFenp); //on le lie a la fenetre
	
	stxtUserUp = new wxStaticText(this, -1, _("User :"), wxDefaultPosition, wxDefaultSize);
	stxtPasswordUp = new wxStaticText(this, -1, _("Password :"), wxDefaultPosition, wxDefaultSize);
	stxtFileToSendUp = new wxStaticText(this, -1, _("File to send :"), wxDefaultPosition, wxDefaultSize);
			
	txtcUserUp = new wxTextCtrl(this, -1, _T(""), wxDefaultPosition, wxDefaultSize);
	txtcPasswordUp = new wxTextCtrl(this, -1, _T(""), wxDefaultPosition, wxDefaultSize, wxTE_PASSWORD);
	txtcFileToSendUp = new wxTextCtrl(this, -1, _T(""), wxDefaultPosition, wxDefaultSize);
			
	buttonSeekFileUp = new wxButton(this, -1, _("..."), wxDefaultPosition, wxDefaultSize);
	buttonConnectUp = new wxButton(this, -1, _("Connect"), wxDefaultPosition, wxDefaultSize);
		
	boxUserUp = new wxBoxSizer(wxHORIZONTAL);
		boxUserUp->Add(stxtUserUp, 0, 10);
		boxUserUp->Add(txtcUserUp, 1, 0);
	boxPasswordUp = new wxBoxSizer(wxHORIZONTAL);
		boxPasswordUp->Add(stxtPasswordUp, 0, 10);
		boxPasswordUp->Add(txtcPasswordUp, 1, 0);
	boxFileToSendUp = new wxBoxSizer(wxHORIZONTAL);
		boxFileToSendUp->Add(stxtFileToSendUp, 0, 10);
		boxFileToSendUp->Add(txtcFileToSendUp, 1, 0);
		boxFileToSendUp->Add(buttonSeekFileUp, 0, 0);
	boxsParamUp = new wxStaticBoxSizer(wxVERTICAL, this, _("Informations"));
		boxsParamUp->Add(boxUserUp, 0, 0);
		boxsParamUp->Add(boxPasswordUp, 0, 0);
		boxsParamUp->Add(boxFileToSendUp, 0, 0);
	boxConnectUp = new wxBoxSizer(wxHORIZONTAL);
		boxConnectUp->Add(buttonSeekFileUp, 0, 0);
	
	boxMainUp = new wxBoxSizer(wxVERTICAL);
		boxMainUp->Add(boxsParamUp, 0, 0);
		boxMainUp->Add(boxConnectUp, 0, 0);
	
	SetSizerAndFit(boxMainUp);
	
}

Fenupscript::~Fenupscript()
{
	
}

BEGIN_EVENT_TABLE( Fenupscript, wxFrame)

END_EVENT_TABLE()
